#include <iostream>
using namespace std;
#include "Coordinate.h"
#include <vector>



int main(int argc, char * argv[]) {
	double numbers2[] = { 2.0, 3.4 };
	double numbers3[] = { 2.0, 3.4, -4.9 };
	double numbers4[] = { 2.3, 8.4 };
	double numbers6[] = { 2.3, 8.4 };
	Coordinate c1(2,numbers2);
	Coordinate *c2 = new Coordinate(3, numbers3);
	Coordinate *c4 = new Coordinate(2, numbers4);
	Coordinate *c5 = new Coordinate(*c4);
	Coordinate c6(2, numbers6);
	
	cout << "c1 : " << c1.getDimensions() << endl;
	cout << "c2 : " << c2->getDimensions() << endl;
	cout << "c4 : " << c4->getDimensions() << endl;
	cout << "c5 : " << c5->getDimensions() << endl;
	cout << "c6 : " << c6.getDimensions() << endl;

	double* comps = c1.getComponents();
	
	cout << "c1 components: ";
	for (int i=0; i<c1.getDimensions(); i++)
		cout << comps[i] << " "; 
	cout << endl;
		
	cout << "c1 == c1 ? " << (c1==c1) << endl;
	cout << "c1 == c2 ? " << (c1==*c2) << endl;
	cout << "c1 == c4 ? " << (c1==*c4) << endl;
	cout << "c4 == c5 ? " << (*c4==*c5) << endl;
	cout << "c5 == c6 ? " << (*c5==c6) << endl;

	delete c2;
	delete c4;	
	delete c5;

}
